%global meadalpha %{nil}
%global meadrel %{nil}
%{?scl:%scl_package openssl-chil}
%{!?scl:%global pkg_name %{name}}

%global version_major 0
%global version_minor 4
%global version_micro 10
%global commitid b83e18df3b548fd6404cef9250006a93e15059db
%global serial 7
# Define the directory where the OpenSSL engines are installed
%global enginesdir %{_libdir}/openssl/engines-1.1

Name:           %{?scl_prefix}openssl-chil
Summary:        CHIL engine for use with OpenSSL
Version: 1.0.0
Release: %{serial}%{?dist}
# The source code is LGPLv2+ except eng_back.c and eng_parse.c which are BSD
License:        LGPLv2+ and BSD
URL:            https://github.com/engine-corner/engine-chil
Source:        openssl-chil-%{commitid}.tar.gz
BuildRequires:  autoconf autoconf-archive automake libtool
BuildRequires:  jbcs-httpd24-openssl-devel
BuildRequires:  jbcs-httpd24-openssl >= 1.0.2
BuildRequires:  pkgconfig libtool-ltdl libtool-ltdl-devel
# Needed for testsuite
BuildRequires:  softhsm opensc procps-ng
Requires:       jbcs-httpd24-openssl >= 1.0.2
Provides:       libchil%{?_isa} = %{version}-%{release}
Obsoletes:      libchil < 0.4.7-4
# The engine_chil subpackage is also provided 
Provides:       jbcs-httpd24-engine_chil%{?_isa} = %{version}-%{release}
Obsoletes:      jbcs-httpd24-engine_chil < 0.4.7-4

%description -n %{?scl_prefix}openssl-chil
openssl-chil enables hardware security module (HSM), and smart card support in
OpenSSL applications.


%prep
#%autosetup -p 1 -n openssl-chil-%{commitid}

%build
autoreconf -fvi
export CFLAGS="%{optflags}"
%if 0%{?fedora}
%configure --disable-static --enable-api-doc --with-enginesdir=%{enginesdir}
%else
%configure --disable-static --with-enginesdir=%{enginesdir}
%endif
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{enginesdir}
make install DESTDIR=%{buildroot}

# Remove libtool .la files
rm -f %{buildroot}%{_libdir}/engines/*.la
mv %{buildroot}%{_libdir}/engines/chil.so %{buildroot}%{enginesdir}/

# Remove documentation automatically installed by make install
#rm -rf %{buildroot}%{_docdir}/chil/

%check

#%ldconfig_scriptlets

%files
#%license COPYING
#%doc NEWS
%{enginesdir}/chil.so
#%{enginesdir}/*.so

%changelog
* Wed Sep 15 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-7
Built by CPaaS

* Wed Sep 15 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-6
Built by CPaaS

* Thu Apr 01 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-5
Built by CPaaS

* Fri Mar 26 2021 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-4
Built by CPaaS

* Mon Dec 21 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-3
Built by CPaaS

* Wed Dec 09 2020 cpaas-ops <cpaas-ops@redhat.com> - 1.0.0-2
Built by CPaaS

* Thu Nov 28 2019 George Zaronikas <gzaronik@redhat.com> - 1.0.0
CHIL engine for OpenSSL 1.1.1
